{% extends "::base_include.html.twig" %}
{% trans_default_domain "panel" %}

{% block content %}
    <div ng-controller="MainController" style="height: 100%;">
        <div ui-i18n="'{% 
if app.request.locale == "en_GB" %}en{% 
elseif app.request.locale == "zh_CN" %}zh-cn{% 
elseif app.request.locale == "fr_FR" %}fr{% 
elseif app.request.locale == "pl_PL" %}pl{% 
elseif app.request.locale == "tr_TR" %}tr{% 
endif %}'" style="height: 100%;">

            <uib-tabset active="tab.activeIndex" style="height: 100%;">
                {% if app.user and (is_granted('ROLE_SUPER_ADMIN') or is_granted('ROLE_TEST')) %}
                    <uib-tab ng-click="goToTab(0)" index="0" ng-init="setFirstActiveTab(0)">
                        <uib-tab-heading uib-tooltip-html="'{{ "tab.tests.tooltip"|trans }}'">{{ "tab.tests"|trans }}</uib-tab-heading>

                        <div ng-if="tab.activeIndex == 0" ng-controller="TestController" id="test-tab">
                            <div class="breadcrumb c-breadcrumb" ncy-breadcrumb style="text-align: left;"></div>
                            <div ui-view="tabViewTest" class="center"></div>
                            {{ include("ConcertoPanelBundle::tab.html.twig", {'class_name':"Test"}) }}
                        </div>
                    </uib-tab>
                {% endif %}
                {% if app.user and (is_granted('ROLE_SUPER_ADMIN') or is_granted('ROLE_WIZARD')) %}
                    <uib-tab ng-click="goToTab(5)" index="5" ng-init="setFirstActiveTab(5)">
                        <uib-tab-heading uib-tooltip-html="'{{ "tab.wizards.tooltip"|trans }}'">{{ "tab.wizards"|trans }}</uib-tab-heading>

                        <div ng-if="tab.activeIndex == 5" ng-controller="TestWizardController">
                            <div class="breadcrumb c-breadcrumb" ncy-breadcrumb style="text-align: left;"></div>
                            <div ui-view="tabViewTestWizard" class="center"></div>
                            {{ include("ConcertoPanelBundle::tab.html.twig", {'class_name':"TestWizard"}) }}
                        </div>
                    </uib-tab>
                {% endif %}
                {% if app.user and (is_granted('ROLE_SUPER_ADMIN') or is_granted('ROLE_TEMPLATE')) %}
                    <uib-tab ng-click="goToTab(1)" index="1" ng-init="setFirstActiveTab(1)">
                        <uib-tab-heading uib-tooltip-html="'{{ "tab.templates.tooltip"|trans }}'">{{ "tab.templates"|trans }}</uib-tab-heading>

                        <div ng-if="tab.activeIndex == 1" ng-controller="ViewTemplateController">
                            <div class="breadcrumb c-breadcrumb" ncy-breadcrumb style="text-align: left;"></div>
                            <div ui-view="tabViewViewTemplate" class="center"></div>
                            {{ include("ConcertoPanelBundle::tab.html.twig", {'class_name':"ViewTemplate"}) }}
                        </div>
                    </uib-tab>
                {% endif %}
                {% if app.user and (is_granted('ROLE_SUPER_ADMIN') or is_granted('ROLE_TABLE')) %}
                    <uib-tab ng-click="goToTab(2)" index="2" ng-init="setFirstActiveTab(2)">
                        <uib-tab-heading uib-tooltip-html="'{{ "tab.tables.tooltip"|trans }}'">{{ "tab.tables"|trans }}</uib-tab-heading>

                        <div ng-if="tab.activeIndex == 2" ng-controller="DataTableController">
                            <div class="breadcrumb c-breadcrumb" ncy-breadcrumb style="text-align: left;"></div>
                            <div ui-view="tabViewDataTable" class="center"></div>
                            {{ include("ConcertoPanelBundle::tab.html.twig", {'class_name':"DataTable"}) }}
                        </div>
                    </uib-tab>
                {% endif %}
                {% if app.user and (is_granted('ROLE_SUPER_ADMIN') or is_granted('ROLE_FILE')) %}
                    <uib-tab ng-click="goToTab(3)" index="3" ng-init="setFirstActiveTab(3)">
                        <uib-tab-heading uib-tooltip-html="'{{ "tab.files.tooltip"|trans }}'">{{ "tab.files"|trans }}</uib-tab-heading>

                        <div ng-if="tab.activeIndex == 3" ng-controller="FileBrowserController">
                            <div class="breadcrumb c-breadcrumb" ncy-breadcrumb style="text-align: left;"></div>
                            <div ui-view="tabViewFile" class="center"></div>
                            {{ include("ConcertoPanelBundle:FileBrowser:file_browser_content.html.twig") }}
                        </div>
                    </uib-tab>
                {% endif %}
                {% if app.user and is_granted('ROLE_SUPER_ADMIN') %}
                    <uib-tab ng-click="goToTab(4)" index="4" ng-init="setFirstActiveTab(4)">
                        <uib-tab-heading uib-tooltip-html="'{{ "tab.users.tooltip"|trans }}'">{{ "tab.users"|trans }}</uib-tab-heading>

                        <div ng-if="tab.activeIndex == 4" ng-controller="UserController">
                            <div class="breadcrumb c-breadcrumb" ncy-breadcrumb style="text-align: left;"></div>
                            <div ui-view="tabViewUser" class="center"></div>
                            {{ include("ConcertoPanelBundle::tab.html.twig", {'class_name':"User"}) }}
                        </div>
                    </uib-tab>
                {% endif %}
                {% if app.user and (is_granted('ROLE_SUPER_ADMIN')) %}
                    <uib-tab ng-click="goToTab(6)" index="6" ng-init="setFirstActiveTab(6)">
                        <uib-tab-heading uib-tooltip-html="'{{ "tab.administration.tooltip"|trans }}'">{{ "tab.administration"|trans }}</uib-tab-heading>

                        <div ng-if="tab.activeIndex == 6" ng-controller="AdministrationController" id="administration-tab">
                            <div class="breadcrumb c-breadcrumb" ncy-breadcrumb style="text-align: left;"></div>
                            <div ui-view="tabViewAdministration" class="center"></div>
                            {{ include("ConcertoPanelBundle:Administration:form.html.twig") }}
                        </div>
                    </uib-tab>
                {% endif %}
                {% if app.user and is_granted('ROLE_SUPER_ADMIN') %}
                    <uib-tab ng-click="goToTab(7)" index="7" ng-init="setFirstActiveTab(7)">
                        <uib-tab-heading uib-tooltip-html="'{{ "tab.usertest.tooltip"|trans }}'">{{ "tab.usertest"|trans }}</uib-tab-heading>

                        <div ng-if="tab.activeIndex == 7" ng-controller="UserTestController">
                            <div class="breadcrumb c-breadcrumb" ncy-breadcrumb style="text-align: left;"></div>
                            <div ui-view="tabViewUserTest" class="center"></div>
                            {{ include("ConcertoPanelBundle:UserTest:tab.html.twig", {'class_name':"UserTest"}) }}
                        </div>
                    </uib-tab>
                {% endif %}
            </uib-tabset>

            <div ng-if="RDocumentation.html && RDocumentation.active" class="codemirrorRDocsWindow">
                <div ng-bind-html="RDocumentation.html"></div>
            </div>

            <!-- wizard param setters -->
            {% for i in 0..13 %}
                {{ include("ConcertoPanelBundle:TestWizard:type_" ~ i ~ "_setter.html.twig") }}
                {{ include("ConcertoPanelBundle:TestWizard:type_" ~ i ~ "_definer.html.twig") }}
            {% endfor %}

        </div>
    </div>

{% endblock %}
